//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : CHAR LCD
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Using LCD character display (HD44780 compatible) in 4-bit mode.
//
//    Settings and connections on ZL30ARM:
//		JP4 in CHAR position.
//      LCD_1602 connected to LCD socket.
//
//      CHAR_LCD (Con13)  - Con15
//		E 					PA0
//		RW 					PA1
//		RS					PA2
//		D7					PA3
//		D6					PA4
//		D5					PA5
//		D4					PA6
//
//******************************************************************************

#include "stm32f10x_lib.h"
#include "board.h"
#include "HD44780.h"

int main(void)
{
	char temp;
	volatile int i;
	
	SystemInit();
	LCD_Initialize();
	
	LCD_GoTo(0,0);
	LCD_WriteText(" -- ZL30ARM -- ZL30ARM --");
	LCD_GoTo(0,1);
	LCD_WriteText(" Kamami Development Board");
	
	do{
		for(temp = 0; temp < 10; temp++) // shift the text to the left
		{
			LCD_ShiftLeft();
			for(i = 0; i < 0x3FFFF; i++);
		}
		for(temp = 0; temp < 10; temp++) // shift the text to the right 
		{
			LCD_ShiftRight();
		  	for(i = 0; i < 0x3FFFF; i++);
		}
	} while(1);
	return 0;
}
//
