//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : KEYS LCD
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Using LCD character display (HD44780 compatible) in 4-bit mode and reading
//    buttons states. 
//
//    Settings and connections on ZL30ARM:
//		JP4 in CHAR position.
//      LCD_1602 connected to LCD socket.
//
//      CHAR_LCD (Con13)  - Con15
//		E 					PA0
//		RW 					PA1
//		RS					PA2
//		D7					PA3
//		D6					PA4
//		D5					PA5
//		D4					PA6
//
//		TACT (Con19)	 -	Con18
//		SW0					PB8
//		SW1					PB9
//		SW2					PB10
//		SW3					PB11
//		GND					GND
//
//******************************************************************************
#include "stm32f10x_lib.h"
#include "board.h"

int main(void)
{

	SystemInit();
	LCD_Initialize();
	
	LCD_WriteTextXY("ZL30ARM KEYS LCD", 0, 0);
	LCD_WriteTextXY("Press any key",0,1);
	
	do{
		if(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW0 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW1 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW2 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED) // is switch pressed?
	    {
	    	LCD_WriteTextXY("SW3 pressed  ", 0, 1);
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED); // wait for switch release
		}
	
	}	while(1);
}
