//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : KEYS_UART
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Checking buttons states and sending info about pressed keys via UART.
//
//    Settings and connections on ZL30ARM:
//
//		Button connections
//		TACT (Con19)	 -	Con18
//		SW0					PB8
//		SW1					PB9
//		SW2					PB10
//		SW3					PB11
//		GND					GND
//
//		UART connections
//		Con7				Con16
//		TxD					PA9
//		RxD					PA10
//
//******************************************************************************
#include "stm32f10x_lib.h"
#include "board.h"

int main(void)
{

	SystemInit();

	USART_Configuration();

	USART_PutChar('\r');
	USART_PutString("*************************\r");
	USART_PutString("**  ZL30ARM KEYS UART  **\r");
	USART_PutString("**    www.kamami.com   **\r");
	USART_PutString("*************************\r");

	USART_PutString("Press any key on ZL30ARM board\r");

	do{
		if(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED) // is switch pressed?
	    {
	    	USART_PutString("SW0 pressed\r");
	    	while(GPIO_ReadInputDataBit(GPIO_SW, SW0)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED) // is switch pressed?
	    {
		    USART_PutString("SW1 pressed\r");
		    while(GPIO_ReadInputDataBit(GPIO_SW, SW1)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED) // is switch pressed?
	    {
		    USART_PutString("SW2 pressed\r");
		    while(GPIO_ReadInputDataBit(GPIO_SW, SW2)== SW_PRESSED); // wait for switch release
	    }
		if(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED) // is switch pressed?
	    {
		    USART_PutString("SW3 pressed\r");
		    while(GPIO_ReadInputDataBit(GPIO_SW, SW3)== SW_PRESSED); // wait for switch release
	    }
	
	}	while(1);

}
