//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : LED2
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Simple LEDs demonstration.
//
//    Settings and connections on ZL30ARM:
//		Connect Con9 to Con15 with 10-wire IDC cable.  
//
//******************************************************************************
#include "board.h"


void WriteLED(unsigned char ledState)
{
	GPIO_WriteBit(GPIO_LED, LED1, (ledState & (1 << 0)));
	GPIO_WriteBit(GPIO_LED, LED2, (ledState & (1 << 1)));
	GPIO_WriteBit(GPIO_LED, LED3, (ledState & (1 << 2)));
	GPIO_WriteBit(GPIO_LED, LED4, (ledState & (1 << 3)));
	GPIO_WriteBit(GPIO_LED, LED5, (ledState & (1 << 4)));
	GPIO_WriteBit(GPIO_LED, LED6, (ledState & (1 << 5)));
	GPIO_WriteBit(GPIO_LED, LED7, (ledState & (1 << 6)));
	GPIO_WriteBit(GPIO_LED, LED8, (ledState & (1 << 7)));
}

int main(void)
{
	volatile unsigned int i;
	unsigned char led;
	SystemInit();
	
	do{
		for(led = 0x01; led != 0; led <<= 1)
	  	{
	  		WriteLED(led);
	  		for(i = 0; i < 0x1FFFF; i++);
	  	}    
	} while(1);
}
