//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : LED_UART
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Control LEDs state using PC and RS232 terminal program.
//
//    Settings and connections on ZL30ARM:
//		UART connections
//		Con7				Con16
//		TxD					PA9
//		RxD					PA10
//
//		Connect Con9 to Con15 with 10-wire IDC cable. 
//    
//    Settings on PC terminal program:
//      Baud rate : 9600
//      Data bits : 8
//      Stop bits : 1
//      Parity bit: none
//
//******************************************************************************
#include "stm32f10x_lib.h"
#include "board.h"

int main(void)
{
char LEDNumberStr[3];
	char LEDActionStr[3];
	vu16 LEDNumber = 0, LEDAction = 0;
	
	SystemInit();
	
	USART_Configuration();
	
	USART_PutChar('\r');
	USART_PutString("*************************\r");
	USART_PutString("**  ZL30ARM  LED UART  **\r");
	USART_PutString("**    www.kamami.com   **\r");
	USART_PutString("*************************\r");
	
	do{
	    USART_PutString("\rEnter LED number (1-8): \r");
	    USART_GetString(LEDNumberStr);
	    
	    USART_PutString("\rEnter LED action (0,1): \r");
	    USART_GetString(LEDActionStr);
	
	    LEDAction = LEDActionStr[0] - '0';
	    LEDNumber = LEDNumberStr[0] - '0';
	
	    switch(LEDNumber){
	        case 1 : GPIO_WriteBit(GPIO_LED, LED1, LEDAction);break;
	        case 2 : GPIO_WriteBit(GPIO_LED, LED2, LEDAction);break;
	        case 3 : GPIO_WriteBit(GPIO_LED, LED3, LEDAction);break;
	        case 4 : GPIO_WriteBit(GPIO_LED, LED4, LEDAction);break;
	        case 5 : GPIO_WriteBit(GPIO_LED, LED5, LEDAction);break;
	        case 6 : GPIO_WriteBit(GPIO_LED, LED6, LEDAction);break;
	        case 7 : GPIO_WriteBit(GPIO_LED, LED7, LEDAction);break;
	        case 8 : GPIO_WriteBit(GPIO_LED, LED8, LEDAction);break;
	    }
	
	}while(1);
}
