//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : TC77_LCD
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Using LCD character display (HD44780 compatible) in 4-bit mode 
//    to display temperature read from TC77 (U7)
//
//    Settings and connections on ZL30ARM:
//		Con8				Con15
//      CS  	 			PA4 
//      SIO					PA6
//      SCK					PA5 
// 		
//		2x16 LCD display in socket
//      CHAR_LCD (Con13)  - Con15
//		E 					PA0
//		RW 					PA1
//		RS					PA2
//		D7					PA3
//		D6					PA4
//		D5					PA5
//		D4					PA6
//
//******************************************************************************
#include "board.h"

const char fractConst[] = {'0','1','1','2','3','3','4','4','5','6','6','7','8','8','9','9'};
const char degPattern [] = {6, 9, 9, 6, 32, 32, 32, 32, 0};

int main(void)
{
	unsigned char bufor[2];
	short temp, fract;
	char strTemp[3];
	char str[5];
	SystemInit();
	
	LCD_Initialize();
	
	LCD_DefineCharacter(0, degPattern);
	
	do{
	    SPI_CS_Enable();
	    bufor[0]= SPI_Send(0x0);
	    bufor[1]= SPI_Send(0x0);
	    SPI_CS_Disable();
	
	    temp = ((bufor[0] << 8) | bufor[1]);
	    itoa((temp >> 7), strTemp);
	    fract = ((temp >> 3) & 0x0F);
	
	    LCD_GoTo(0,0);
	    LCD_WriteText("Temp: ");
	    LCD_WriteText(strTemp);
	    LCD_WriteData('.');
	    LCD_WriteData(fractConst[fract]);
	    LCD_WriteData(0);
	    LCD_WriteData('C');
	} while(1);
}
