//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : TC77_UART
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    Send temperature read from TC77 (U7) to PC using RS232
//
//    Settings and connections on ZL30ARM:
//		Con8		Con15
//      CS  		PA4 
//      SIO 		PA6 
//      SCK 		PA5 
//
//		Con7		Con16
//		RxD			PA10
//		TxD			PA9
//
//    Settings on PC terminal program:
//      Baud rate : 9600
//      Data bits : 8
//      Stop bits : 1
//      Parity bit: none
//
//******************************************************************************
#include "board.h"

const char fractConst[] = {'0','1','1','2','3','3','4','4','5','6','6','7','8','8','9','9'};
const char degPattern [] = {6, 9, 9, 6, 32, 32, 32, 32, 0};

int main(void)
{
	unsigned char bufor[2];
	short temp, fract;
	char strTemp[8];
	char strFract[2];
	int i;
	
	SystemInit();
	USART_Configuration();
	
	USART_PutChar('\r');
	USART_PutString("*************************\r");
	USART_PutString("**  ZL30ARM TC77 UART  **\r");
	USART_PutString("**    www.kamami.com   **\r");
	USART_PutString("*************************\r");
	
	SPI_CS_Enable();            //
	bufor[0]= SPI_Send(0x0);    // Dummy read
	bufor[1]= SPI_Send(0x0);    //
	SPI_CS_Disable();           //
	
	do{
	    SPI_CS_Enable();            //
	    bufor[0]= SPI_Send(0x0);    // Read temperature
	    bufor[1]= SPI_Send(0x0);    //
	    SPI_CS_Disable();           //
	
	    temp = ((bufor[0] << 8) | bufor[1]);
	    itoa((temp >> 7), strTemp);
	    fract = ((temp >> 3) & 0x0F);
	
	    USART_PutString("Temp: ");
	    USART_PutString(strTemp);
	    USART_PutChar('.');
	    USART_PutChar(fractConst[fract]);
	    USART_PutChar(0xB0);
	    USART_PutChar('C');
	    USART_PutChar('\r');
		for (i=0; i<0xFFFFF; i++);
	
	}while(1);
}
