#include "stm32f10x_lib.h"
//-----------------------------------------------------------------------------
//
//-----------------------------------------------------------------------------
void USART_Configuration()
{
	USART_InitTypeDef USART_InitStructure;
	GPIO_InitTypeDef GPIO_InitStructure;
	
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA | RCC_APB2Periph_USART1, ENABLE);
	 
	GPIO_InitStructure.GPIO_Pin             = GPIO_Pin_9;
	GPIO_InitStructure.GPIO_Speed           = GPIO_Speed_50MHz;
	GPIO_InitStructure.GPIO_Mode            = GPIO_Mode_AF_PP;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	
	GPIO_InitStructure.GPIO_Pin             = GPIO_Pin_10;
	GPIO_InitStructure.GPIO_Mode            = GPIO_Mode_IN_FLOATING;
	GPIO_Init(GPIOA, &GPIO_InitStructure);
	
	USART_InitStructure.USART_BaudRate      = 9600;
	USART_InitStructure.USART_WordLength    = USART_WordLength_8b;
	USART_InitStructure.USART_StopBits      = USART_StopBits_1;
	USART_InitStructure.USART_Parity        = USART_Parity_No;
	USART_InitStructure.USART_HardwareFlowControl = USART_HardwareFlowControl_None;
	USART_InitStructure.USART_Mode          = USART_Mode_Rx | USART_Mode_Tx;
	
	USART_Init(USART1, &USART_InitStructure);
	USART_Cmd(USART1, ENABLE);
}
//-----------------------------------------------------------------------------
//
//-----------------------------------------------------------------------------
void USART_PutChar(char value)
{
	USART_SendData(USART1, value);
	while(USART_GetFlagStatus(USART1, USART_FLAG_TXE) == RESET);          
}
//-----------------------------------------------------------------------------
//
//-----------------------------------------------------------------------------
char USART_GetChar(void)
{
	while(USART_GetFlagStatus(USART1, USART_FLAG_RXNE) == RESET); 
	USART_ReceiveData(USART1);   
}
//-----------------------------------------------------------------------------
// Send string
//-----------------------------------------------------------------------------
void USART_PutString(char * s)
{
	while(*s)
		USART_PutChar(*s++);
}
//-----------------------------------------------------------------------------
// Receive string
//-----------------------------------------------------------------------------
void USART_GetString(char * s)
{
	char c;
	do{
	  	c = USART_GetChar();
	  	USART_PutChar(c);
	  	if(c=='\b')   // if backspace
	    	s--;
	  	else     
	    	*s++ = c;
	  	if(c == '\r') // if CR
	    	*s = 0;
	} while(c != '\r');
}
//-----------------------------------------------------------------------------
// End of file
//-----------------------------------------------------------------------------
