//***************** (c) 2010 BTC Korporacja ***********************************
//                     http://www kamami.com
// PROJECT  : UART
// BOARD    : ZL30ARM (with STM32F103CBT6)
//
//******************************************************************************
//
//    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
//    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
//    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
//    FROM USE OF THIS SOFTWARE.
//
//******************************************************************************
//
// DESCRIPTION :
//    This example echoes back characters received via UART. 
//
//    Settings and connections on ZL30ARM:
//		JP4 in CHAR position.
//      LCD_1602 connected to LCD socket.
//
//      CHAR_LCD (Con13)  - Con15
//		E 					PA0
//		RW 					PA1
//		RS					PA2
//		D7					PA3
//		D6					PA4
//		D5					PA5
//		D4					PA6
//******************************************************************************
#include "stm32f10x_lib.h"

int main(void)
{
	char Message[18];
	
	SystemInit();
	USART_Configuration();
	
	LCD_Initialize();
	LCD_GoTo(0,0);
	LCD_WriteText(" ZL30ARM - UART");
	LCD_GoTo(0,1);
	LCD_WriteText(" www.kamami.com");
	
	USART_PutChar('\r');
	USART_PutString("*************************\r");
	USART_PutString("**     ZL30ARM  UART   **\r");
	USART_PutString("**    www.kamami.com   **\r");
	USART_PutString("*************************\r");
	
	do{
	  	USART_PutString("->");USART_GetString(Message);
	  	USART_PutString("<-");USART_PutString(Message);
	  	LCD_Clear();
	  	LCD_GoTo(0,0);
	  	LCD_WriteText("Rx:");
	  	LCD_GoTo(0,1);
	  	LCD_WriteText(Message);
	}while(1);
}
